> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noxus.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Insight Conversations



## OpenAPI

````yaml get /v1/agents/{assistant_id}/insights/conversations
openapi: 3.1.0
info:
  title: Noxus Backend
  description: >-
    Backend API for the Noxus Platform. More information can be found at
    https://docs.noxus.ai
  version: 1.1.0
servers: []
security: []
paths:
  /v1/agents/{assistant_id}/insights/conversations:
    get:
      tags:
        - V1 - Insights
      summary: Insight Conversations
      operationId: insight_conversations
      parameters:
        - name: assistant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Assistant Id
        - name: kind
          in: query
          required: true
          schema:
            enum:
              - topic
              - subtopic
              - driver
              - custom
              - cx
            type: string
            title: Kind
        - name: key
          in: query
          required: true
          schema:
            type: string
            title: Key
        - name: days
          in: query
          required: false
          schema:
            type: integer
            maximum: 90
            minimum: 1
            default: 7
            title: Days
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            minimum: 1
            default: 20
            title: Limit
        - name: deployment_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Deployment Id
        - name: message_length
          in: query
          required: false
          schema:
            anyOf:
              - enum:
                  - short
                  - medium
                  - long
                type: string
              - type: 'null'
            title: Message Length
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InsightConversations'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    InsightConversations:
      properties:
        conversations:
          items:
            $ref: '#/components/schemas/InsightConversation'
          type: array
          title: Conversations
      type: object
      required:
        - conversations
      title: InsightConversations
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InsightConversation:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        preview:
          type: string
          title: Preview
        created_at:
          type: string
          format: date-time
          title: Created At
        score:
          anyOf:
            - type: integer
            - type: 'null'
          title: Score
      type: object
      required:
        - id
        - name
        - preview
        - created_at
      title: InsightConversation
      description: A conversation behind an insight fact (the drill-down list rows).
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````